# SPDX-FileCopyrightText: 2020 Umbrel. https://getumbrel.com
# SPDX-FileCopyrightText: 2024 Citadel and contributors
#
# SPDX-License-Identifier: GPL-3.0-or-later

# Citadel External Storage Mounter
# Installed at /etc/systemd/system/citadel-external-storage.service

[Unit]
Description=External Storage Mounter
Before=docker.service
Before=k3s.service

[Service]
Type=oneshot
Restart=no
ExecStart=/home/cubit/citadel/scripts/citadel-os/cubit/mount
TimeoutStartSec=45min
User=root
Group=root
RemainAfterExit=yes

[Install]
WantedBy=multi-user.target
